Package org.eclipse.rdf4j.sail.shacl

## Class PerformanceHintFactory

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.PerformanceHintFactory

- All Implemented Interfaces:
    `TransactionSettingFactory`

      public class PerformanceHintFactory
      extends Object
      implements TransactionSettingFactory

  Factory class for producing instances of `ShaclSail.TransactionSettings.PerformanceHint` from string values.
  Author:
    Håvard Ottestad

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PerformanceHintFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Name of `TransactionSetting` this factory produces
    `Optional<TransactionSetting>` | `getTransactionSetting​(String value)` | Retrieve a `TransactionSetting` with the supplied value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerformanceHintFactory

          public PerformanceHintFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `TransactionSettingFactory`
      Name of `TransactionSetting` this factory produces
      Specified by:
        `getName` in interface `TransactionSettingFactory`
      Returns:
        the name of the `TransactionSetting` produced by this factory

    - #### getTransactionSetting

          public Optional<TransactionSetting> getTransactionSetting​(String value)

      Description copied from interface: `TransactionSettingFactory`
      Retrieve a `TransactionSetting` with the supplied value.
      Specified by:
        `getTransactionSetting` in interface `TransactionSettingFactory`
      Parameters:
        `value` - the `TransactionSetting` value
      Returns:
        an optional `TransactionSetting`, empty if the factory can not produce one for the given value.